Article ID: 7066, created on Dec 26, 2009, last review on May 8, 2014

  • Applies to:
  • Plesk 9.2 for Linux/Unix


The following error was shown when try executing script backup-unpack

~# /opt/psa/bin/backup-unpack
File "/opt/psa/bin/backup-unpack", line 5
import backup-unpack
SyntaxError: invalid syntax


On Debian operating system the script contains a syntax error. Here is the script with an error:

~# cat /opt/psa/bin/backup-unpack
import sys
sys.path[:0] = ["/opt/psa/admin/lib/python","/opt/psa/admin/share/backup_unpack","/usr/lib/sw/python2.4/site-packages"]
import backup-unpack

It should be backup_unpack not backup-unpack.


The problem will be fixed in future update of Parallels Plesk Panel that will be released after version 9.2.3.
In Parallels Plesk Panel 9.2 it is recommended that you fix the script manually. You may use the following command:

~# sed -i 's/backup-unpack/backup_unpack/g' /opt/psa/bin/backup-unpack

11a46d8a188d618564f4f0cead9a50f3 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 6ef0db7f1685482449634a455d77d3f4 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF